## sbnc 1.2

=== debian/changelog ===
sbnc (1.2-19) unstable; urgency=low

  * Add spanish debconf translation from Camaleón.
    Closes: #584452

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 03 Jun 2010 21:29:22 +0200

sbnc (1.2-18) unstable; urgency=low

  * Bump Standards-Version to 3.8.4 (no changes needed).
  * Convert package to the 3.0 (quilt) format.
  * Add patch 14-fix-sign-extension from upstream, which fixes a sign extension
    bug.
  * Wrap build dependencies.
  * Add missing init script dependencies on remote_fs.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 04 Feb 2010 22:24:24 +0100

sbnc (1.2-17) unstable; urgency=low

  * Bump Standards-Version to 3.8.3.
    - Update debian/README.source.
  * Remove Patrick Ringl from uploaders.
  * Add autotools-dev to build depends and use up to date config.{sub,guess}
    scripts. This fixes an FTBFS on avr32.
    Closes: #542268

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 19 Aug 2009 19:15:07 +0200

sbnc (1.2-16) unstable; urgency=high

  * Bump Standards-Version to 3.8.2 (no changes needed).
  * Rebuild against new MySQL Client library.
    Closes: #538502

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 26 Jul 2009 12:24:52 +0200

sbnc (1.2-15) unstable; urgency=low

  * Fix typo in get-orig-source target.
  * Add some additional quotes in sbnc.{config,postinst}.
  * Just empty the password template in sbnc.config, if it is not the
    initial configuration. Much thanks to Kilian Krause for his help in
    debugging this issue.
    Closes: #516468
  * Refer in debian/copyright to the {l}GPL-2 file instead of {L}GPL.
  * Add my own copyright for the Debian packaging.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 03 May 2009 10:48:24 +0200

sbnc (1.2-14) unstable; urgency=low

  * Fix dir-or-file-in-var-run and create var/run/sbnc dynamic on calling
    the init.d script. Thanks lintian.
  * Change my email address.
  * Remove DM-Upload-Allowed control field.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 Apr 2009 19:41:53 +0200

sbnc (1.2-13) unstable; urgency=low

  * Fix 12-debianize-ssl patch. sbnc still tried to open the certificate from
    the wrong location.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sun, 29 Mar 2009 21:23:24 +0200

sbnc (1.2-12) unstable; urgency=low

  * Fix debian/watch to match with the new homepage layout.
  * Bump Standards-Version to 3.8.1 (no changes needed).
  * Change section of sbnc-dbg to debug.
  * Add workaround patch 13-basepath_parsing.dpatch.
    Closes: #512541
  * Activate forgotten 12-debianize-ssl.dpatch patch.
  * Merge changelog entry from the 1.2-8+lenny1 stable upload.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Thu, 19 Mar 2009 09:21:39 +0200

sbnc (1.2-11) unstable; urgency=low

  * Add 12-debianize-ssl patch which corrects the paths to the sbnc.key file.
    Closes: #515338
  * Add missing ${misc:Depends}. Thanks lintian.
  * Add get-orig-source target.
  * Fix lintian warning binary-control-field-duplicates-source.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Thu, 19 Feb 2009 13:11:35 +0200

sbnc (1.2-10) unstable; urgency=low

  * Uploading to unstable.
  * Replace the AL license with the FAL (Frontier Artistic License), because
    "src/snprintf.c" is licensed under the terms of the FAL. Much thanks to
    Steve Cotton.
    Closes: #500760

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sat, 18 Oct 2008 10:50:51 +0200

sbnc (1.2-9) experimental; urgency=low

  * Uploading to experimental because of the Lenny freeze.
  * Working watchfile.
  * debconf depend will be added by $misc:Depends, no need to depend on it.
  * Removed ucf configfile handling. Use the dpkg configfile handling instead.
  * Just suggests on sbnc-mysql from the sbnc package.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sat, 30 Aug 2008 12:09:21 +0200

sbnc (1.2-8+lenny1) stable; urgency=low

  * Add 12-debianize-ssl patch which corrects the paths to the sbnc.key file.
    Closes: #515338

 -- Patrick Matthäi <patrick.matthaei@web.de>  Thu, 26 Feb 2009 09:47:00 +0200

sbnc (1.2-8) unstable; urgency=low

  [ Patrick Matthäi ]
  * Drop embedded libltdl and added 11-use-external-ltdl.dpatch which let us
    link shared against the external libltdl.
    We also need now a build depend on libltdl3-dev.

  [ Debian l10n ]
  * Swedish translation from Martin Bagge <martin.bagge@bthstudent.se>.
    Closes: #487751

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 24 Jun 2008 11:12:00 +0200

sbnc (1.2-7) unstable; urgency=low

  * Added 10-hurd-ftbfs.dpatch which fixes a FTBFS on hurd.
  * Bumped Standards-Version to 3.8.0.
    - Added README.source.
  * Fixed odd debhelper call order in debian/rules and do not let
    dh_makeshlibs modify the maintainer scripts. Thanks lintian.
  * Added debian/watch which just documents, that we are unable to monitor the
    latest upstream release. This makes lintian happy.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sun, 22 Jun 2008 17:52:51 +0100

sbnc (1.2-6) unstable; urgency=low

  [ Patrick Matthäi ]
  * Adjusted sbnc.templates to the current templates.pot.
    Closes: #481722

  [ Debian l10n ]
  * Update portuguese translation.
    Closes: #481405
  * Corrected german translation based on the l10n-german guidelines.
    Thanks to Helge Kreutzmann <debian@helgefjell.de> for his patch.
    Closes: #481722

 -- Patrick Matthäi <patrick.matthaei@web.de>  Thu, 22 May 2008 19:19:59 +0100

sbnc (1.2-5) unstable; urgency=low

  [ Patrick Matthäi ]
  * Added DM-Upload-Allowed control field.
  * Fixed typo in all templates.
    Closes: #478255
  * Also fixed a typo in the long description.
  * Added 09-misc.tcl-regexp.dpatch from upstream svn.
  * Lowered down recommend from sbnc-mysql on mysql-server to suggests.

  [ Debian l10n ]
  * Vietnamese translation from Clytie Siddall <clytie@riverland.net.au>.
    Closes: #478220
  * Euskara translation from Piarres Beobide <pi@beobide.net>.
    Closes: #478245
  * Portuguese translation from Ricardo Silva <ardoric@gmail.com>.

