=== debian/control ===
Source: sbnc
Section: net
Priority: optional
Homepage: http://www.shroudbnc.info/
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 5), automake, chrpath, libc-ares-dev,
 libltdl3-dev, libmysqlclient-dev, libssl-dev, tcl8.5-dev, po-debconf,
 autotools-dev
Standards-Version: 3.8.4

Package: sbnc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, pwgen
Recommends: sbnc-tcl, oidentd
Suggests: sbnc-mysql
Description: an IRC proxy for multiple users
 shroudBNC (short: sbnc) is an modular IRC proxy for multiple
 users. Its main features are SSL support for both IRC and client
 connections, client certificates with passwordless authentication,
 IPv6 support, asynchronous dns resolving, built-in flood protection
 and module support.
 shroudBNC comes with many useful Tcl scripts, but you are able to
 write your own, too.

Package: sbnc-tcl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: an IRC proxy for multiple users (Tcl extension)
 shroudBNC (short: sbnc) is an modular IRC proxy for multiple
 users. Its main features are SSL support for both IRC and client
 connections, client certificates with passwordless authentication,
 IPv6 support, asynchronous dns resolving, built-in flood protection
 and module support.
 shroudBNC comes with many useful Tcl scripts, but you are able to
 write your own, too.
 .
 This package contains the Tcl extension with many useful scripts.

Package: sbnc-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: sbnc
Suggests: mysql-server
Description: an IRC proxy for multiple users (MySQL extension)
 shroudBNC (short: sbnc) is an modular IRC proxy for multiple
 users. Its main features are SSL support for both IRC and client
 connections, client certificates with passwordless authentication,
 IPv6 support, asynchronous dns resolving, built-in flood protection
 and module support.
 shroudBNC comes with many useful Tcl scripts, but you are able to
 write your own, too.
 .
 This package contains the MySQL extension.

Package: sbnc-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, sbnc (= ${binary:Version}), sbnc-tcl (= ${binary:Version}), sbnc-mysql (= ${binary:Version})
Description: an IRC proxy for multiple users (debugging symbols)
 shroudBNC (short: sbnc) is an modular IRC proxy for multiple
 users. Its main features are SSL support for both IRC and client
 connections, client certificates with passwordless authentication,
 IPv6 support, asynchronous dns resolving, built-in flood protection
 and module support.
 shroudBNC comes with many useful Tcl scripts, but you are able to
 write your own, too.
 .
 This package contains the debugging symbols for sbnc, sbnc-tcl and
 sbnc-mysql.

Package: sbnc-php-dev
Architecture: all
Depends: ${misc:Depends}, php5
Recommends: sbnc-tcl
Description: an IRC proxy for multiple users (PHP classes)
 shroudBNC (short: sbnc) is an modular IRC proxy for multiple
 users. Its main features are SSL support for both IRC and client
 connections, client certificates with passwordless authentication,
 IPv6 support, asynchronous dns resolving, built-in flood protection
 and module support.
 shroudBNC comes with many useful Tcl scripts, but you are able to
 write your own, too.
 .
 This package contains the PHP classes to develope webinterfaces.
