=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

config.status:
	dh_testdir
	# Correct chmod of missing file.
	chmod +x missing
	# Use an up to date config.{sub,guess}.
	mv config.guess config.guess.bak
	mv config.sub config.sub.bak
	ln -s /usr/share/misc/config.guess
	ln -s /usr/share/misc/config.sub
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/ --exec-prefix=/ --with-tcl=/usr/lib/tcl8.5
	touch configure-stamp

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	# Build the MySQL module.
	(cd bncmysql && g++ -fPIC -shared -g -o bncmysql.so bncmysql.cpp -I/usr/include/mysql -L/usr/lib -lmysqlclient)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	# Remove files from previous builds.
	rm -f config.log
	rm -f bncmysql/bncmysql.so
	rm -f identd32/Makefile
	[ ! -f config.guess.bak ] || rm -f config.guess
	[ ! -f config.sub.bak ] || rm -f config.sub
	[ ! -f config.guess.bak ] || mv config.guess.bak config.guess
	[ ! -f config.sub.bak ] || mv config.sub.bak config.sub
	rm -rf debian/temp
	debconf-updatepo
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/temp install
	# Remove RPATH from libbnctcl module.
	chrpath -d -k debian/temp/usr/lib/sbnc/libbnctcl.so
	# Replace leading '//' with '/' in the path.
	sed 's;//;/;g' -i debian/temp/usr/lib/sbnc/lib*.la
	dh_install

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_installexamples -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installdirs -a
	dh_installman -a
	dh_installinit -a -- defaults 91
	dh_installchangelogs -a
	dh_installexamples -a
	dh_installlogrotate -a
	dh_installdebconf -a
	dh_strip -a --dbg-package=sbnc-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -n
	dh_shlibdeps -a -l $(CURDIR)/debian/sbnc/usr/lib/sbnc/
	dh_gencontrol -a
	dh_installdeb -a
	dh_md5sums -a
	dh_builddeb -a

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --destdir ../tarballs

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
