=== debian/watch ===
version=3
http://www.shroudbnc.info/Download.aspx .*mirror.shroudbnc.info/sbnc-([0-9]\.[0-9])\.tar\.gz
