## sbnc 1.3.9

=== debian/changelog ===
sbnc (1.3.9-3ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1565099).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 01 Apr 2016 14:11:54 -0700

sbnc (1.3.9-3) unstable; urgency=low

  * Use Autotools to update build environment by calling
    --dh --with autoreconf - Thanks to Matthias Klose (Closes: #744655)
  * Extended manpage sbnc.1 to cover the new parameters for version 1.3

 -- Stefan Bauer (Cubewerk GmbH) <stefan.bauer@cubewerk.de>  Mon, 14 Apr 2014 21:07:23 +0200

sbnc (1.3.9-2) unstable; urgency=medium

  * Fix installation error of package in postinst-script
    this only happens if the package is freshly installed and not updated
  * Setup lintian override as upstream is not providing gpg sigs
  * Removed blanks at EOL in debian/changelog entry

 -- Stefan Bauer (Cubewerk GmbH) <stefan.bauer@cubewerk.de>  Wed, 19 Mar 2014 15:34:12 +0100

sbnc (1.3.9-1) unstable; urgency=low

  * New upstream release
    Upstream fixed several memory & resource leaks and removed dead code
  * New Maintainer (Closes: #622977)
  * Include new watch file - thanks to Bart Martens
  * Updated standards version
  * Set debhelper compatibility to 9
  * Include Japanese translation (Closes: #693059)
    Thanks to victory <victory.deb@gmail.com>
  * Fix lintian warnings
  * Enabled hardening flags
  * Remove old snippets from debian/rules
  * Adjust init script to source init functions
  * sbnc mysql support was removed because upstream dropped it from source
    Package sbnc-mysql is dropped as consequence
    Also dropped build depends on libmysql-client and set Conflicts & Replaces
    on package sbnc-mysql to make sure it gets removed after upgrade
  * Moved tcl scripts from /var/lib/sbnc to /usr/share/sbnc
  * Removed most of the patches as they are now included by upstream
  * Place user configs in /etc/sbnc instead of /var/lib/sbnc
  * Added postinst snippet to move user configs to appropriate place if present
  * Add option status to sbnc init.d script

 -- Stefan Bauer (Cubewerk GmbH) <stefan.bauer@cubewerk.de>  Tue, 04 Mar 2014 14:28:01 +0100

sbnc (1.2-26) unstable; urgency=low

  * QA upload.
  * Add Danish debconf translation from Joe Hansen. Closes: #660904

 -- David Prévot <taffit@debian.org>  Sat, 18 Aug 2012 13:41:16 -0400

sbnc (1.2-25) unstable; urgency=low

  * QA upload.
  * Put back .la files (they are used by lt_dlopen), emptying the
    dependency_libs setting. Closes: #639559.
  * Add build-indep and build-arch targets to debian/rules.

 -- Ludovico Gardenghi <garden@debian.org>  Sun, 19 Feb 2012 16:56:06 +0100

sbnc (1.2-24) unstable; urgency=low

  * QA upload.
  * Stop distributing la files. Closes: #633215.

 -- Regis Boudin <regis@debian.org>  Tue, 16 Aug 2011 20:28:31 +0100

sbnc (1.2-23) unstable; urgency=high

  * Add patch 16-fix-openssl-ftbfs.diff, which fixes a FTBFS with OpenSSL 1.0.
    Closes: #622055
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Fix lintian warning description-synopsis-starts-with-article.
  * Wrap build dependencies.
  * Set maintainer to the Debian QA Group.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 16 Apr 2011 12:35:43 +0200

sbnc (1.2-22) unstable; urgency=low

  * Add italian translation from Luca Bruno.
    Closes: #614087

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 25 Mar 2011 21:50:07 +0100

sbnc (1.2-21) unstable; urgency=low

  * Change debian/watch to the source code located on sf.net.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 19:30:23 +0100

sbnc (1.2-20) unstable; urgency=low

  * Add patch 15-savecert-path-parsing.diff. The internal function BuildPath
    was used in a wrong way with the consequence that the client certificate
    could not be saved on the disk.
    Closes: #599827
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 12 Oct 2010 18:19:30 +0200
