=== debian/control ===
Source: sbnc
Section: net
Priority: optional
Homepage: http://www.shroudbnc.info/
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stefan Bauer (Cubewerk GmbH) <stefan.bauer@cubewerk.de>
Build-Depends: debhelper (>= 9),
 automake,
 chrpath,
 libc-ares-dev,
 libltdl3-dev,
 libssl-dev,
 tcl8.5-dev,
 po-debconf,
 autotools-dev,
 dh-autoreconf
Standards-Version: 3.9.5

Package: sbnc
Architecture: any
Depends: ${shlibs:Depends}, 
 ${misc:Depends},
 adduser,
 pwgen
Conflicts: sbnc-mysql
Replaces: sbnc-mysql
Recommends: sbnc-tcl,
 oidentd
Description: IRC proxy for multiple users
 shroudBNC (short: sbnc) is an modular IRC proxy for multiple
 users. Its main features are SSL support for both IRC and client
 connections, client certificates with passwordless authentication,
 IPv6 support, asynchronous dns resolving, built-in flood protection
 and module support.
 shroudBNC comes with many useful Tcl scripts, but you are able to
 write your own, too.

Package: sbnc-tcl
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: IRC proxy for multiple users (Tcl extension)
 shroudBNC (short: sbnc) is an modular IRC proxy for multiple
 users. Its main features are SSL support for both IRC and client
 connections, client certificates with passwordless authentication,
 IPv6 support, asynchronous dns resolving, built-in flood protection
 and module support.
 shroudBNC comes with many useful Tcl scripts, but you are able to
 write your own, too.
 .
 This package contains the Tcl extension with many useful scripts.

Package: sbnc-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends},
 sbnc (= ${binary:Version}),
 sbnc-tcl (= ${binary:Version})
Description: IRC proxy for multiple users (debugging symbols)
 shroudBNC (short: sbnc) is an modular IRC proxy for multiple
 users. Its main features are SSL support for both IRC and client
 connections, client certificates with passwordless authentication,
 IPv6 support, asynchronous dns resolving, built-in flood protection
 and module support.
 shroudBNC comes with many useful Tcl scripts, but you are able to
 write your own, too.
 .
 This package contains the debugging symbols for sbnc, sbnc-tcl and
 sbnc-mysql.

Package: sbnc-php-dev
Architecture: all
Depends: ${misc:Depends},
 php
Recommends: sbnc-tcl
Description: IRC proxy for multiple users (PHP classes)
 shroudBNC (short: sbnc) is an modular IRC proxy for multiple
 users. Its main features are SSL support for both IRC and client
 connections, client certificates with passwordless authentication,
 IPv6 support, asynchronous dns resolving, built-in flood protection
 and module support.
 shroudBNC comes with many useful Tcl scripts, but you are able to
 write your own, too.
 .
 This package contains the PHP classes to develope webinterfaces.
