=== debian/rules ===
--- 
+++ 
@@ -10,23 +10,17 @@
 
 config.status:
 	dh_testdir
-	# Correct chmod of missing file.
-	chmod +x missing
-	# Use an up to date config.{sub,guess}.
-	mv config.guess config.guess.bak
-	mv config.sub config.sub.bak
-	ln -s /usr/share/misc/config.guess
-	ln -s /usr/share/misc/config.sub
-	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
-	--prefix=/ --exec-prefix=/ --with-tcl=/usr/lib/tcl8.5
+	dh_autoreconf
+	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --libdir=/usr/lib/ --build=$(DEB_BUILD_GNU_TYPE) \
+	--prefix=/ $(shell dpkg-buildflags --export=configure) --exec-prefix=/ --with-tcl=/usr/lib/tcl8.5
 	touch configure-stamp
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: config.status
 	dh_testdir
 	$(MAKE)
-	# Build the MySQL module.
-	(cd bncmysql && g++ -fPIC -shared -g -o bncmysql.so bncmysql.cpp -I/usr/include/mysql -L/usr/lib -lmysqlclient)
 	touch build-stamp
 
 clean:
@@ -36,26 +30,29 @@
 	[ ! -f Makefile ] || $(MAKE) distclean
 	# Remove files from previous builds.
 	rm -f config.log
-	rm -f bncmysql/bncmysql.so
 	rm -f identd32/Makefile
 	[ ! -f config.guess.bak ] || rm -f config.guess
 	[ ! -f config.sub.bak ] || rm -f config.sub
 	[ ! -f config.guess.bak ] || mv config.guess.bak config.guess
 	[ ! -f config.sub.bak ] || mv config.sub.bak config.sub
 	rm -rf debian/temp
+	rm -f config.guess config.sub
 	debconf-updatepo
 	dh_clean
 
 install:
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	$(MAKE) DESTDIR=$(CURDIR)/debian/temp install
-	# Remove RPATH from libbnctcl module.
+	# Remove RPATH from libbnctcl module and change path for libs.
+	mv debian/temp/share/sbnc/scripts/ debian/temp/usr/lib/sbnc/
 	chrpath -d -k debian/temp/usr/lib/sbnc/libbnctcl.so
 	# Replace leading '//' with '/' in the path.
 	sed 's;//;/;g' -i debian/temp/usr/lib/sbnc/lib*.la
+	# Empty the 'dependency_libs' setting in .la files.
+	sed -i "/dependency_libs/ s/'.*'/''/" debian/temp/usr/lib/sbnc/lib*.la
 	dh_install
 
 binary-indep: build install
